### Method

# Gio FileInfo copy_into

#### Declaration

    void
    g_file_info_copy_into (
      GFileInfo* src_info,
      GFileInfo* dest_info
    )

#### Description

First clears all of the [GFileAttribute][gio-GFileAttribute] of `dest_info`, and then copies all of the file attributes from `src_info` to `dest_info`.

#### Parameters

`dest_info`

  Type: `GFileInfo`

  Destination to copy attributes to.

  The data is owned by the caller of the method.